## GwyColorDialog

GwyColorDialog — Color editor dialog

## Functions

GtkWidget * | gwy_color_dialog_new ()
GtkWidget * | gwy_color_dialog_get_editor ()

## Types and Values

struct | GwyColorDialog
struct | GwyColorDialogClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── GwyColorDialog

## Implemented Interfaces

GwyColorDialog implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <libgwyui/gwyui.h>

## Description

GwyColorDialog is a colour editing dialog which can be used to adjust a colour.

The dialog has no settings and signals itself. Use `gwy_color_dialog_get_editor()` to obtain the contained GwyColorEditor, set it up directly and connect to its signals.

## Functions

### gwy_color_dialog_new()

    GtkWidget *
    gwy_color_dialog_new (GtkWindow *parent,
                          gboolean modal);

Creates a colour editor dialog.

If a parent window is given the dialog is set transient for it and is set to destruct with it.

A modal dialog has OK and Cancel buttons and it is supposed to be run with `gtk_dialog_run()`, after which it will selfdestruct. When the dialog is cancelled or closed it reverts the colour to the editor's previous colour.

A persistent dialog does not have buttons and simply exists until destroyed.

#### Parameters

parent | Parent window for the dialog, or `NULL`. |
modal | `TRUE` to set up the dialog as modal; `FALSE` to set it up as persistent. |

#### Returns

A newly created colour editor dialog.

### gwy_color_dialog_get_editor()

    GtkWidget *
    gwy_color_dialog_get_editor (GwyColorDialog *dialog);

Gets the editor widget of a colour editor dialog.

#### Parameters

dialog | A colour editor dialog. |

#### Returns

The colour editor.

## Types and Values

### struct GwyColorDialog

    struct GwyColorDialog;

### struct GwyColorDialogClass

    struct GwyColorDialogClass {
        GtkDialogClass parent_class;
    };